## edu.stanford.nlp.trees
Class SwbdHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.CollinsHeadFinder
              edu.stanford.nlp.trees.SwbdHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class SwbdHeadFinder

extends CollinsHeadFinder

modified from ModCollinsHeadFinder

Author:
  Pi-Chuan Chang
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`SwbdHeadFinder()`
`SwbdHeadFinder(TreebankLanguagePack tlp)`

Method Summary

Methods inherited from class edu.stanford.nlp.trees.CollinsHeadFinder
`main, postOperationFix`

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, setCategoriesToAvoid, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwbdHeadFinder

    public SwbdHeadFinder()

### SwbdHeadFinder

    public SwbdHeadFinder(TreebankLanguagePack tlp)

Stanford NLP Group